/**
 * ******************************************************************************
 *  Copyright Fujitsu.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  You may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * *****************************************************************************
 *
 *  NIFCLOUD SDK for Java
 *
 */
package com.nifty.cloud.sdk;


/**
 *　レスポンスインタフェース。<br />
 * 処理結果XMLが、以下の形式の場合使用します。<br />
 * &lt;XXXResponse&gt;<br />
 * &nbsp;&nbsp;&lt;XXXResult&gt;<br />
 * &nbsp;&nbsp;&lt;/XXXResult&gt;<br />
 * &lt;/XXXResponse&gt;<br />
 *
 */
public interface Response {

	/**
	 * レスポンス内の処理結果クラスを取得します。
	 * 
	 * @return 処理結果クラス
	 */
	public Result getResult();
}
