/**
 * ******************************************************************************
 *  Copyright Fujitsu.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  You may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * *****************************************************************************
 *
 *  NIFCLOUD SDK for Java
 *
 */
package com.nifty.cloud.sdk.autoscale.model;

import com.thoughtworks.xstream.annotations.XStreamAlias;

/**
 * ゾーン名クラス。<br />
 * このクラスはゾーン名を格納します。
 */
@XStreamAlias("PlacementSet")
public class PlacementSet {

    /** ゾーン名 */
    private String availabilityZone;

    /**
     * ゾーン名を取得します。
     * 
     * @return ゾーン名
     */
    public String getAvailabilityZone() {
        return availabilityZone;
    }

    /**
     * ゾーン名を設定します。
     * 
     * @param availabilityZone
     *            ゾーン名
     */
    public void setAvailabilityZone(String availabilityZone) {
        this.availabilityZone = availabilityZone;
    }

    /**
     * ゾーン名を設定し、自オブジェクトを返します。
     * 
     * @param availabilityZone
     *            ゾーン名
     * @return 自オブジェクト
     */
    public PlacementSet withAvailabilityZone(String availabilityZone) {
        setAvailabilityZone(availabilityZone);
        return this;
    }

    /*
     * (non-Javadoc)
     * 
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString() {

        StringBuilder builder = new StringBuilder();

        builder.append("[availabilityZone=");
        builder.append(availabilityZone);

        builder.append("]");

        return builder.toString();

    }

}
